/*---------------------------------------------------------------*/
/* arduino stepper motor shield  TB6560AHQ 3.5A          Ver1.00 */
/*---------------------------------------------------------------*/
#define MOTOR_CLK      5  // D5
#define MOTOR_RESET    3  // D3
#define MOTOR_ENABLE   4  // D4
#define MOTOR_CWCCW   19  // A5
#define MOTOR_TQ1      6  // D6
#define MOTOR_TQ2      7  // D7

#define CCW           HIGH
#define CW            LOW

void tb6560_stop()
{
  digitalWrite( MOTOR_RESET,  LOW );
  digitalWrite( MOTOR_ENABLE, LOW );
}

void tb6560_start()
{
  digitalWrite( MOTOR_RESET,  HIGH );
  digitalWrite( MOTOR_ENABLE, HIGH );
}

void setup()
{                
  pinMode(MOTOR_CLK,    OUTPUT);     
  pinMode(MOTOR_RESET,  OUTPUT);     
  pinMode(MOTOR_ENABLE, OUTPUT);     
  pinMode(MOTOR_CWCCW,  OUTPUT);
  pinMode(MOTOR_TQ1,    OUTPUT);
  pinMode(MOTOR_TQ2,    OUTPUT);
  
  digitalWrite(MOTOR_TQ1, LOW ); // torque = 100%
  digitalWrite(MOTOR_TQ2, LOW ); // torque = 100%
}

void loop()                     
{
  int i;

  tb6560_start();  // power on
  digitalWrite(MOTOR_CWCCW, CW); 
  for( i = 0; i < 400 ; i++ ) {
    digitalWrite(MOTOR_CLK, HIGH);
    delay(1);
    digitalWrite(MOTOR_CLK, LOW );
    delay(4);
  }
  tb6560_stop();  // power off
  
  delay(1000); 
    
  tb6560_start();  // power on
  digitalWrite(MOTOR_CWCCW, CCW); 
  for( i = 0; i < 400 ; i++ ) {
    digitalWrite(MOTOR_CLK, HIGH);
    delay(1);
    digitalWrite(MOTOR_CLK, LOW );
    delay(9);
  }
  tb6560_stop();  // power off

  delay(1000); 
}



